Bug 859102 - sadf -x produces bad xml
sadf -x produces bad xml
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: sysstat (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Schiffer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-20 10:44 EDT by David Juran
Modified: 2012-11-22 22:13 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-22 22:13:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
sar-file (117.96 KB, application/octet-stream)
2012-09-20 10:44 EDT, David Juran
no flags Details
Fix XML timestamp unbalance-close-tag issue (601 bytes, patch)
2012-09-24 19:36 EDT, Nathan Scott
no flags Details | Diff

  None (edit)
Description David Juran 2012-09-20 10:44:43 EDT
Created attachment 614945 [details]
sar-file

Description of problem:
sar2pcp seems badly broken...


Version-Release number of selected component (if applicable):
pcp-3.6.5-1.fc16

How reproducible:
Every time

Steps to Reproduce:
1.  sar2pcp /var/log/sa/sa20 /tmp/foo
  
Actual results:
mismatched tag at line 75, column 5, byte 4773 at /usr/share/perl5/vendor_perl/XML/TokeParser.pm line 353


Additional info:
sa file attached.
Comment 1 Frank Ch. Eigler 2012-09-20 10:54:37 EDT
sadf -x /var/log/sa/saNN | xmllint   fails:

-:17: parser error : Opening and ending tag mismatch: statistics line 12 and timestamp
			</timestamp>
			            ^
[...]

From the XML:

  <timestamp date="2012-09-12" time="04-10-01" utc="1" interval="600"/>
         <cpu-load>
         <cpu number="all" user="7.10" nice="0.00" system="1.29" iowait="0.27" steal="0.00" idle="91.34"/>
         </cpu-load>
  </timestamp>

Note the extraneous / in the opening <timestamp  tag.
Comment 2 Frank Ch. Eigler 2012-09-20 10:59:36 EDT
sysstat-10.0.2-2.fc16 appears to have this bug;
RHEL6's sysstat 9.0.4 doesn't.
Comment 3 Frank Ch. Eigler 2012-09-20 11:26:42 EDT
However, xmllint --valid fails sadf -x's output on each of rhel5, rhel6, f16, so there is a more systemic problem here.
Comment 4 Nathan Scott 2012-09-24 19:35:14 EDT
Checked latest version of sysstat, and this issue has been fixed.  Have a patch for sysstat-10.0.2 ... will attach shortly.
Comment 5 Nathan Scott 2012-09-24 19:36:21 EDT
Created attachment 616777 [details]
Fix XML timestamp unbalance-close-tag issue
Comment 6 Fedora Update System 2012-11-14 08:08:24 EST
sysstat-10.0.2-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/sysstat-10.0.2-3.fc16
Comment 7 Fedora Update System 2012-11-14 21:31:19 EST
Package sysstat-10.0.2-3.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sysstat-10.0.2-3.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-18213/sysstat-10.0.2-3.fc16
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-11-22 22:13:51 EST
sysstat-10.0.2-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.